package shortcodes

import (
	"context"
	"net/http"

	core "fr.latosa-escrima/core"
	"fr.latosa-escrima/core/models"
)

func HandleDelete(w http.ResponseWriter, r *http.Request) {
	code := r.PathValue("shortcode")
	_, err := core.DB.NewDelete().
		Model((*models.Shortcode)(nil)).
		Where("code = ?", code).
		Exec(context.Background())
	if err != nil {
		core.JSONError{
			Status:  core.Error,
			Message: err.Error(),
		}.Respond(w, http.StatusInternalServerError)
		return
	}

	core.JSONSuccess{
		Status:  core.Success,
		Message: "Shortcode deleted",
	}.Respond(w, http.StatusOK)
}
